<template>
  <q-layout view="lHh Lpr lFf">
      <q-page-container>
        <q-page class=" row">
<div class="container">
<div class="q-pt-lg column items-center justify-center text-center">
<div class="letras">Ministério da Agricultura, Pecuária e Abastecimento</div>
            <div class="letras">Departamento de Sanidade Vegetal e Insumos Agrícolas</div>
            <div class="letras">Organização Nacional de Proteção Fitossanitária do Brasil</div>
            <div class="letras">Plant Protection Organization of Brazil</div>
            <template>
                <q-img class="img-fluid" style="width: 200px;margin-top: 1.3em;" src="https://sistemas.agricultura.gov.br/qrcodefito/assets/images/selo_dsvia.png" />
            </template>
<h4 class="headerOne" style="text-align: center; margin-top: 20px; margin-bottom: 20px">
          Consulta de Certificado Fitossanitário Internacional
          <br />
          <span style="font-style: italic">
            Phytosanitary Certificate Consultation
          </span>
        </h4>
            <div style="margin-top: 8px;width: 98%;font-size: 1rem;font-weight: 400;">
                <q-list bordered separator class="text-center items-center justify-center full-width">
                    <q-item>
                        <q-item-section>
                            <q-item-label><strong>Certificado Nº / Certificate Number:</strong> {{ number }}</q-item-label>
                        </q-item-section>
                    </q-item>
                    <q-item>
                        <q-item-section>
                            <q-item-label><strong>Código de Accesso / Access Code:</strong> {{ code }}</q-item-label>
                        </q-item-section>
                    </q-item>
                </q-list>
            </div>
            <vs-button @click="send()" flat class="text-white"
                style="border-radius: 4px; background-color: rgb(0, 123, 255, 1) !important;font-size: 12pt;margin-top: 0em;">Consultar
                / Consult</vs-button>
        </div>
</div>
</q-page>
</q-page-container>
</q-layout>
</template>
<script>
import { mapMutations } from 'vuex'
export default {
  data () {
    return {
      number: this.$route.params.number.replace('-', '/'), // Remplazo el caracter para que la ruta me acepte el parametro enviado
      code: this.$route.params.code
    }
  },
  methods: {
    ...mapMutations('generals', ['info']),
    send () {
      const form = {
        number: this.number,
        code: this.code
      }
      console.log(form)
      this.$api.post('userCode', form).then(res => {
        this.info(res)
        this.$router.push('/qrcodefito/consulta/validar')
      })
    }
  }
}
</script>
<style scoped>
.letras {
    font-size: 11.6pt;
font-weight: 400;
}

.img-fluid {
  max-width: 100%;
  height: auto;
}

.headerOne {
  font-size: 1.5rem;
  text-align: center;
}

h4 {
  font-size: 2.125rem;
  font-weight: 500;
  line-height: 1.2;
  color: inherit;
}

.container {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}
img {
    vertical-align: middle;
    border-style: none;
}
</style>
